package dp.kotul.bamboospecsapplication.util;

import dp.kotul.bamboospecsapplication.EnvironmentEnum;

public class BambooUtils {
    public static String replaceEnvPlaceholderWithEnvironment(String stringWithPlaceholder, EnvironmentEnum environment) {
        return stringWithPlaceholder
                .replace("%ENV%", environment.name().toUpperCase())
                .replace("%env%", environment.name().toLowerCase())
                .replace("%urlenv%", environment.getEnvironmentUrlName());
    }
}
